Priority: Normal Due date:

Assignee: Leonardo Candela % Done: 100%
Category:

Target version: OpenPortal Instances

Description

We should configure the Matomo based export of usage statistics thus to feed OpenAIRE
We shuold replicate what we did for ISTI Open Portal

Going to add in a private note the details.

Related issues:

Related to ISTI Open Access - Feature #20103: Configure ISTI Open Portal to e... Completed Feb 09, 2021
Related to ISTI Open Access - Feature #26705: INO Open Portal: configure usag... Closed Feb 07, 2024
History

#2 - Jan 11,2023 11:30 AM - Leonardo Candela
- Related to Feature #20103: Configure ISTI Open Portal to expose usage statistics for OpenAIRE added

#3 - Jan 11, 2023 11:44 AM - Michele Artini

- Assignee changed from Michele Artini to Andrea Dell'’Amico

| think that this ticket should be assigned to @andrea.dellamico@isti.cnr.it

#6 - Jan 11, 2023 02:29 PM - Andrea Dell'Amico

Va sostanzialmente replicato tutto, se non ho capito male. Giusto?

#7 - Jan 11, 2023 02:52 PM - Leonardo Candela

Andrea Dell'’Amico wrote in #note-6:

Va sostanzialmente replicato tutto, se non ho capito male. Giusto?

Si ... la strada dovrebbe essere quella e dopo aver replicato bisogna sostituire il matomo ID e il token

#8 - Jan 23, 2023 07:46 PM - Andrea Dell'Amico

Dovrei essere pronto, domani faro il provisioning. Verra tutto installato in un nuovo virtualenv, completamente separato dall'altro.

#9 - Jan 23, 2023 07:46 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 30

#10 - Jan 23, 2023 07:50 PM - Andrea Dell'Amico

@leonardo.candela@isti.cnr.it @michele.artini@isti.cnr.it questo pezzettino di configurazione & corretto, valido senza modifiche anche per ISPC?
#11 - Jan 24, 2023 07:44 AM - Michele Artini

Se funziona per ISTI, dovrebbe andare bene anche per ISPC. Infatti gli id dei record e le url dell'OpenPortal sono generati allo stesso modo.

#12 - Jan 24, 2023 05:00 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

Fatto. Ho anche fatto girare a mano lo script, dovrebbe essere comparso qualche dato.

#13 - Jan 24, 2023 05:09 PM - Leonardo Candela

- File Screenshot 2023-01-24 at 17.09.08.png added

- Status changed from Feedback to In Progress

- Assignee changed from Andrea Dell'Amico to Leonardo Candela

- % Done changed from 100 to 90

Non & comparso ancora niente ma ... per ora possiamo dire che & "colpa" di OpenAIRE

https://explore.openaire.eu/search/dataprovider?datasourceld=opendoar ::75¢c6b2d6319e12f37ff421834ad22fa8

Questa sorgente non & ancora gestita con sistematicita ... mi auto-assegno il ticket per verificare "in futuro”.

#14 - Jul 01, 2023 10:56 AM - Leonardo Candela
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

ISPC Open Portal statistics are appearing in OpenAIRE
https://explore.openaire.eu/search/dataprovider?datasourceld=opendoar. ::75¢c6b2d6319e12f37ff421834ad22fa8

#15 - Feb 07, 2024 08:16 PM - Leonardo Candela
- Related to Feature #26705: INO Open Portal: configure usage counts added

Files

Screenshot 2023-01-24 at 17.09.08.png 157 KB Jan 24, 2023 Leonardo Candela
